petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscPartitionerDestroy

Destroys a PetscPartitioner object

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode PetscPartitionerDestroy(PetscPartitioner *part)

Collective on PetscPartitioner

### Input Parameter

part -the PetscPartitioner object to destroy

### See Also

PetscPartitionerView()

### Level

developer

### Location

src/dm/impls/plex/plexpartition.c

### Implementations

PetscPartitionerDestroy_MatPartitioning in src/dm/impls/plex/petscpartmatpart.c
PetscPartitionerDestroy_Shell in src/dm/impls/plex/plexpartition.c
PetscPartitionerDestroy_Simple in src/dm/impls/plex/plexpartition.c
PetscPartitionerDestroy_Gather in src/dm/impls/plex/plexpartition.c
PetscPartitionerDestroy_Chaco in src/dm/impls/plex/plexpartition.c
PetscPartitionerDestroy_ParMetis in src/dm/impls/plex/plexpartition.c
PetscPartitionerDestroy_PTScotch in src/dm/impls/plex/plexpartition.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages